using System.ComponentModel.DataAnnotations;
using System.Text.Json;

namespace APCViewer.Models.Binder;

public class AppSettings
{

    [Display(Name = "Company"), Required] public string Company { get; set; }
    [Display(Name = "Encrypted Password"), Required] public string EncryptedPassword { get; set; }
    [Display(Name = "MonARessource"), Required] public string MonARessource { get; set; }
    [Display(Name = "Server"), Required] public string Server { get; set; }
    [Display(Name = "Service User"), Required] public string ServiceUser { get; set; }
    [Display(Name = "URLs"), Required] public string URLs { get; set; }
    [Display(Name = "Working Directory Name"), Required] public string WorkingDirectoryName { get; set; }

    public AppSettings()
    {
        Company = string.Empty;
        EncryptedPassword = string.Empty;
        MonARessource = string.Empty;
        Server = string.Empty;
        ServiceUser = string.Empty;
        URLs = string.Empty;
        WorkingDirectoryName = string.Empty;
    }

    public override string ToString()
    {
        string result = JsonSerializer.Serialize(this, new JsonSerializerOptions() { WriteIndented = true });
        return result;
    }

}